POST api/WorkLocation
Request Information
URI Parameters
None.
Body Parameters
WorkLocationDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isNew | boolean |
None. |
|
| WorkLocationCode | string |
String length: inclusive between 0 and 10 |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| CorporationCode | string |
String length: inclusive between 0 and 20 |
|
| BillAccount | string |
String length: inclusive between 0 and 10 |
|
| PoolId | string |
String length: inclusive between 0 and 10 |
|
| PoolName | string |
String length: inclusive between 0 and 50 |
|
| RegionCode | string |
String length: inclusive between 0 and 10 |
|
| WorkLocationName | string |
String length: inclusive between 0 and 100 |
|
| WorkLocationShortName | string |
String length: inclusive between 0 and 60 |
|
| SameAsCompanyAddress | boolean |
None. |
|
| Address | string |
String length: inclusive between 0 and 60 |
|
| Suite | string |
String length: inclusive between 0 and 10 |
|
| City | string |
String length: inclusive between 0 and 30 |
|
| State | string |
String length: inclusive between 0 and 2 |
|
| Country | string |
String length: inclusive between 0 and 15 |
|
| Zip | string |
String length: inclusive between 0 and 10 |
|
| Contactor | string |
String length: inclusive between 0 and 40 |
|
| Phone | string |
String length: inclusive between 0 and 20 |
|
| Fax | string |
String length: inclusive between 0 and 20 |
|
| string |
String length: inclusive between 0 and 40 |
||
| RiskLevel | integer |
None. |
|
| Notes | string |
String length: inclusive between 0 and 255 |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| CompanyName | string |
String length: inclusive between 0 and 100 |
|
| Longitude | decimal number |
None. |
|
| Latitude | decimal number |
None. |
|
| DANoOfEmployee | integer |
None. |
|
| Regulation | string |
String length: inclusive between 0 and 8000 |
|
| BillAccountAddress | string |
String length: inclusive between 0 and 60 |
|
| ClientCode | string |
String length: inclusive between 0 and 200 |
|
| HasEmployee | boolean |
None. |
|
| ClientCode_2 | string |
String length: inclusive between 0 and 200 |
|
| BusinessUnitName | string |
String length: inclusive between 0 and 200 |
|
| DivisionName | string |
String length: inclusive between 0 and 200 |
|
| SubDivisionName | string |
String length: inclusive between 0 and 200 |
|
| OccDocStatus | eWorkLocationSyncStatus |
None. |
Request Formats
application/json, text/json
{
"isNew": true,
"WorkLocationCode": "sample string 2",
"CompanyCode": "sample string 3",
"CorporationCode": "sample string 4",
"BillAccount": "sample string 5",
"PoolId": "sample string 6",
"PoolName": "sample string 7",
"RegionCode": "sample string 8",
"WorkLocationName": "sample string 9",
"WorkLocationShortName": "sample string 10",
"SameAsCompanyAddress": true,
"Address": "Sample String 12",
"Suite": "Sample String 13",
"City": "sample string 14",
"State": "sample string 15",
"Country": "sample string 16",
"Zip": "sample string 17",
"Contactor": "sample string 18",
"Phone": "sample string 19",
"Fax": "sample string 20",
"Email": "sample string 21",
"RiskLevel": 1,
"Notes": "sample string 22",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:40.9028289-07:00",
"CompanyName": "sample string 25",
"Longitude": 1.1,
"Latitude": 1.1,
"DANoOfEmployee": 26,
"Regulation": "sample string 27",
"BillAccountAddress": "sample string 28",
"ClientCode": "sample string 29",
"HasEmployee": true,
"ClientCode_2": "sample string 31",
"BusinessUnitName": "sample string 32",
"DivisionName": "sample string 33",
"SubDivisionName": "sample string 34",
"OccDocStatus": 1
}
application/x-www-form-urlencoded
Sample not available.
Response Information
Resource Description
AsapResponseOfWorkLocationDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | WorkLocationDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"isNew": true,
"WorkLocationCode": "sample string 2",
"CompanyCode": "sample string 3",
"CorporationCode": "sample string 4",
"BillAccount": "sample string 5",
"PoolId": "sample string 6",
"PoolName": "sample string 7",
"RegionCode": "sample string 8",
"WorkLocationName": "sample string 9",
"WorkLocationShortName": "sample string 10",
"SameAsCompanyAddress": true,
"Address": "Sample String 12",
"Suite": "Sample String 13",
"City": "sample string 14",
"State": "sample string 15",
"Country": "sample string 16",
"Zip": "sample string 17",
"Contactor": "sample string 18",
"Phone": "sample string 19",
"Fax": "sample string 20",
"Email": "sample string 21",
"RiskLevel": 1,
"Notes": "sample string 22",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:40.9028289-07:00",
"CompanyName": "sample string 25",
"Longitude": 1.1,
"Latitude": 1.1,
"DANoOfEmployee": 26,
"Regulation": "sample string 27",
"BillAccountAddress": "sample string 28",
"ClientCode": "sample string 29",
"HasEmployee": true,
"ClientCode_2": "sample string 31",
"BusinessUnitName": "sample string 32",
"DivisionName": "sample string 33",
"SubDivisionName": "sample string 34",
"OccDocStatus": 1
},
"totalCount": 3
}